#### Linux From Scratch - Version 9.0-systemd

### Chapter 6. Installing Basic System Software

- Prev

  M4-1.4.18

- Next

  Binutils-2.32

- Up
- Home

# 6.15. Bc-2.1.3

The Bc package contains an arbitrary precision numeric processing language.

Approximate build time: 0.1 SBU
Required disk space: 2.8 MB

## 6.15.1. Installation of Bc

Prepare Bc for compilation:

    PREFIX=/usr CC=gcc CFLAGS="-std=c99" ./configure.sh -G -O3

The meaning of the configure options:

`CC=gcc CFLAGS="-std=c99"`

  These parameters specify the compiler and C standard to use.

`-O3`

  Specify the optimization to use.

`-G`

  Omit parts of the test suite that won't work without a GNU bc present.

Compile the package:

    make

To test bc, run:

    make test

Install the package:

    make install

## 6.15.2. Contents of Bc

Installed programs: bc and dc

### Short Descriptions

bc | A command line calculator
dc | A reverse-polish command line calculator

- Prev

  M4-1.4.18

- Next

  Binutils-2.32

- Up
- Home